<?php
/**
 * File for class ChronopostStructAdresseEnlevementV3
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructAdresseEnlevementV3 originally named adresseEnlevementV3
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructAdresseEnlevementV3 extends ChronopostStructAdresseEnlevementV2
{
    /**
     * The refExpediteur
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $refExpediteur;
    /**
     * Constructor method for adresseEnlevementV3
     * @see parent::__construct()
     * @param string $_refExpediteur
     * @return ChronopostStructAdresseEnlevementV3
     */
    public function __construct($_refExpediteur = NULL)
    {
        ChronopostWsdlClass::__construct(array('refExpediteur'=>$_refExpediteur),false);
    }
    /**
     * Get refExpediteur value
     * @return string|null
     */
    public function getRefExpediteur()
    {
        return $this->refExpediteur;
    }
    /**
     * Set refExpediteur value
     * @param string $_refExpediteur the refExpediteur
     * @return string
     */
    public function setRefExpediteur($_refExpediteur)
    {
        return ($this->refExpediteur = $_refExpediteur);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructAdresseEnlevementV3
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
