<?php
/**
 * File for class ChronopostStructCreerEnlevementNational
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructCreerEnlevementNational originally named creerEnlevementNational
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructCreerEnlevementNational extends ChronopostWsdlClass
{
    /**
     * The headerValue
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructHeaderValue
     */
    public $headerValue;
    /**
     * The password
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $password;
    /**
     * The datePassage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $datePassage;
    /**
     * The datePassageFermeture
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $datePassageFermeture;
    /**
     * The donneurDOrdre
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructDonneurDOrdre
     */
    public $donneurDOrdre;
    /**
     * The adresseEnlevement
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructAdresseEnlevementV3
     */
    public $adresseEnlevement;
    /**
     * The particulartiesEsd
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructParticularitesEsd
     */
    public $particulartiesEsd;
    /**
     * The referenceEsdClient
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $referenceEsdClient;
    /**
     * The contenu
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $contenu;
    /**
     * The options
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructOptions
     */
    public $options;
    /**
     * The locale
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $locale;
    /**
     * Constructor method for creerEnlevementNational
     * @see parent::__construct()
     * @param ChronopostStructHeaderValue $_headerValue
     * @param string $_password
     * @param dateTime $_datePassage
     * @param dateTime $_datePassageFermeture
     * @param ChronopostStructDonneurDOrdre $_donneurDOrdre
     * @param ChronopostStructAdresseEnlevementV3 $_adresseEnlevement
     * @param ChronopostStructParticularitesEsd $_particulartiesEsd
     * @param string $_referenceEsdClient
     * @param string $_contenu
     * @param ChronopostStructOptions $_options
     * @param string $_locale
     * @return ChronopostStructCreerEnlevementNational
     */
    public function __construct($_headerValue = NULL,$_password = NULL,$_datePassage = NULL,$_datePassageFermeture = NULL,$_donneurDOrdre = NULL,$_adresseEnlevement = NULL,$_particulartiesEsd = NULL,$_referenceEsdClient = NULL,$_contenu = NULL,$_options = NULL,$_locale = NULL)
    {
        parent::__construct(array('headerValue'=>$_headerValue,'password'=>$_password,'datePassage'=>$_datePassage,'datePassageFermeture'=>$_datePassageFermeture,'donneurDOrdre'=>$_donneurDOrdre,'adresseEnlevement'=>$_adresseEnlevement,'particulartiesEsd'=>$_particulartiesEsd,'referenceEsdClient'=>$_referenceEsdClient,'contenu'=>$_contenu,'options'=>$_options,'locale'=>$_locale),false);
    }
    /**
     * Get headerValue value
     * @return ChronopostStructHeaderValue|null
     */
    public function getHeaderValue()
    {
        return $this->headerValue;
    }
    /**
     * Set headerValue value
     * @param ChronopostStructHeaderValue $_headerValue the headerValue
     * @return ChronopostStructHeaderValue
     */
    public function setHeaderValue($_headerValue)
    {
        return ($this->headerValue = $_headerValue);
    }
    /**
     * Get password value
     * @return string|null
     */
    public function getPassword()
    {
        return $this->password;
    }
    /**
     * Set password value
     * @param string $_password the password
     * @return string
     */
    public function setPassword($_password)
    {
        return ($this->password = $_password);
    }
    /**
     * Get datePassage value
     * @return dateTime|null
     */
    public function getDatePassage()
    {
        return $this->datePassage;
    }
    /**
     * Set datePassage value
     * @param dateTime $_datePassage the datePassage
     * @return dateTime
     */
    public function setDatePassage($_datePassage)
    {
        return ($this->datePassage = $_datePassage);
    }
    /**
     * Get datePassageFermeture value
     * @return dateTime|null
     */
    public function getDatePassageFermeture()
    {
        return $this->datePassageFermeture;
    }
    /**
     * Set datePassageFermeture value
     * @param dateTime $_datePassageFermeture the datePassageFermeture
     * @return dateTime
     */
    public function setDatePassageFermeture($_datePassageFermeture)
    {
        return ($this->datePassageFermeture = $_datePassageFermeture);
    }
    /**
     * Get donneurDOrdre value
     * @return ChronopostStructDonneurDOrdre|null
     */
    public function getDonneurDOrdre()
    {
        return $this->donneurDOrdre;
    }
    /**
     * Set donneurDOrdre value
     * @param ChronopostStructDonneurDOrdre $_donneurDOrdre the donneurDOrdre
     * @return ChronopostStructDonneurDOrdre
     */
    public function setDonneurDOrdre($_donneurDOrdre)
    {
        return ($this->donneurDOrdre = $_donneurDOrdre);
    }
    /**
     * Get adresseEnlevement value
     * @return ChronopostStructAdresseEnlevementV3|null
     */
    public function getAdresseEnlevement()
    {
        return $this->adresseEnlevement;
    }
    /**
     * Set adresseEnlevement value
     * @param ChronopostStructAdresseEnlevementV3 $_adresseEnlevement the adresseEnlevement
     * @return ChronopostStructAdresseEnlevementV3
     */
    public function setAdresseEnlevement($_adresseEnlevement)
    {
        return ($this->adresseEnlevement = $_adresseEnlevement);
    }
    /**
     * Get particulartiesEsd value
     * @return ChronopostStructParticularitesEsd|null
     */
    public function getParticulartiesEsd()
    {
        return $this->particulartiesEsd;
    }
    /**
     * Set particulartiesEsd value
     * @param ChronopostStructParticularitesEsd $_particulartiesEsd the particulartiesEsd
     * @return ChronopostStructParticularitesEsd
     */
    public function setParticulartiesEsd($_particulartiesEsd)
    {
        return ($this->particulartiesEsd = $_particulartiesEsd);
    }
    /**
     * Get referenceEsdClient value
     * @return string|null
     */
    public function getReferenceEsdClient()
    {
        return $this->referenceEsdClient;
    }
    /**
     * Set referenceEsdClient value
     * @param string $_referenceEsdClient the referenceEsdClient
     * @return string
     */
    public function setReferenceEsdClient($_referenceEsdClient)
    {
        return ($this->referenceEsdClient = $_referenceEsdClient);
    }
    /**
     * Get contenu value
     * @return string|null
     */
    public function getContenu()
    {
        return $this->contenu;
    }
    /**
     * Set contenu value
     * @param string $_contenu the contenu
     * @return string
     */
    public function setContenu($_contenu)
    {
        return ($this->contenu = $_contenu);
    }
    /**
     * Get options value
     * @return ChronopostStructOptions|null
     */
    public function getOptions()
    {
        return $this->options;
    }
    /**
     * Set options value
     * @param ChronopostStructOptions $_options the options
     * @return ChronopostStructOptions
     */
    public function setOptions($_options)
    {
        return ($this->options = $_options);
    }
    /**
     * Get locale value
     * @return string|null
     */
    public function getLocale()
    {
        return $this->locale;
    }
    /**
     * Set locale value
     * @param string $_locale the locale
     * @return string
     */
    public function setLocale($_locale)
    {
        return ($this->locale = $_locale);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructCreerEnlevementNational
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
