<?php
/**
 * File for class ChronopostStructDestinataireDpd
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructDestinataireDpd originally named destinataireDpd
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructDestinataireDpd extends ChronopostWsdlClass
{
    /**
     * The adresseDestinataire
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructAdresseDestinataire
     */
    public $adresseDestinataire;
    /**
     * The infoClient
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructInfoClient
     */
    public $infoClient;
    /**
     * The particularites
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructParticularites
     */
    public $particularites;
    /**
     * The particularitesColisDpd
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructParticularitesColisDpd
     */
    public $particularitesColisDpd;
    /**
     * Constructor method for destinataireDpd
     * @see parent::__construct()
     * @param ChronopostStructAdresseDestinataire $_adresseDestinataire
     * @param ChronopostStructInfoClient $_infoClient
     * @param ChronopostStructParticularites $_particularites
     * @param ChronopostStructParticularitesColisDpd $_particularitesColisDpd
     * @return ChronopostStructDestinataireDpd
     */
    public function __construct($_adresseDestinataire = NULL,$_infoClient = NULL,$_particularites = NULL,$_particularitesColisDpd = NULL)
    {
        parent::__construct(array('adresseDestinataire'=>$_adresseDestinataire,'infoClient'=>$_infoClient,'particularites'=>$_particularites,'particularitesColisDpd'=>$_particularitesColisDpd),false);
    }
    /**
     * Get adresseDestinataire value
     * @return ChronopostStructAdresseDestinataire|null
     */
    public function getAdresseDestinataire()
    {
        return $this->adresseDestinataire;
    }
    /**
     * Set adresseDestinataire value
     * @param ChronopostStructAdresseDestinataire $_adresseDestinataire the adresseDestinataire
     * @return ChronopostStructAdresseDestinataire
     */
    public function setAdresseDestinataire($_adresseDestinataire)
    {
        return ($this->adresseDestinataire = $_adresseDestinataire);
    }
    /**
     * Get infoClient value
     * @return ChronopostStructInfoClient|null
     */
    public function getInfoClient()
    {
        return $this->infoClient;
    }
    /**
     * Set infoClient value
     * @param ChronopostStructInfoClient $_infoClient the infoClient
     * @return ChronopostStructInfoClient
     */
    public function setInfoClient($_infoClient)
    {
        return ($this->infoClient = $_infoClient);
    }
    /**
     * Get particularites value
     * @return ChronopostStructParticularites|null
     */
    public function getParticularites()
    {
        return $this->particularites;
    }
    /**
     * Set particularites value
     * @param ChronopostStructParticularites $_particularites the particularites
     * @return ChronopostStructParticularites
     */
    public function setParticularites($_particularites)
    {
        return ($this->particularites = $_particularites);
    }
    /**
     * Get particularitesColisDpd value
     * @return ChronopostStructParticularitesColisDpd|null
     */
    public function getParticularitesColisDpd()
    {
        return $this->particularitesColisDpd;
    }
    /**
     * Set particularitesColisDpd value
     * @param ChronopostStructParticularitesColisDpd $_particularitesColisDpd the particularitesColisDpd
     * @return ChronopostStructParticularitesColisDpd
     */
    public function setParticularitesColisDpd($_particularitesColisDpd)
    {
        return ($this->particularitesColisDpd = $_particularitesColisDpd);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructDestinataireDpd
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
