<?php
/**
 * File for class ChronopostStructEsdResultContraintesAgenceValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructEsdResultContraintesAgenceValue originally named esdResultContraintesAgenceValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructEsdResultContraintesAgenceValue extends ChronopostWsdlClass
{
    /**
     * The codeErreur
     * @var int
     */
    public $codeErreur;
    /**
     * The esdContraintesAgence
     * Meta informations extracted from the WSDL
     * - maxOccurs : unbounded
     * - minOccurs : 0
     * - nillable : true
     * @var ChronopostStructEsdContraintesAgence
     */
    public $esdContraintesAgence;
    /**
     * The libelleErreur
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $libelleErreur;
    /**
     * Constructor method for esdResultContraintesAgenceValue
     * @see parent::__construct()
     * @param int $_codeErreur
     * @param ChronopostStructEsdContraintesAgence $_esdContraintesAgence
     * @param string $_libelleErreur
     * @return ChronopostStructEsdResultContraintesAgenceValue
     */
    public function __construct($_codeErreur = NULL,$_esdContraintesAgence = NULL,$_libelleErreur = NULL)
    {
        parent::__construct(array('codeErreur'=>$_codeErreur,'esdContraintesAgence'=>$_esdContraintesAgence,'libelleErreur'=>$_libelleErreur),false);
    }
    /**
     * Get codeErreur value
     * @return int|null
     */
    public function getCodeErreur()
    {
        return $this->codeErreur;
    }
    /**
     * Set codeErreur value
     * @param int $_codeErreur the codeErreur
     * @return int
     */
    public function setCodeErreur($_codeErreur)
    {
        return ($this->codeErreur = $_codeErreur);
    }
    /**
     * Get esdContraintesAgence value
     * @return ChronopostStructEsdContraintesAgence|null
     */
    public function getEsdContraintesAgence()
    {
        return $this->esdContraintesAgence;
    }
    /**
     * Set esdContraintesAgence value
     * @param ChronopostStructEsdContraintesAgence $_esdContraintesAgence the esdContraintesAgence
     * @return ChronopostStructEsdContraintesAgence
     */
    public function setEsdContraintesAgence($_esdContraintesAgence)
    {
        return ($this->esdContraintesAgence = $_esdContraintesAgence);
    }
    /**
     * Get libelleErreur value
     * @return string|null
     */
    public function getLibelleErreur()
    {
        return $this->libelleErreur;
    }
    /**
     * Set libelleErreur value
     * @param string $_libelleErreur the libelleErreur
     * @return string
     */
    public function setLibelleErreur($_libelleErreur)
    {
        return ($this->libelleErreur = $_libelleErreur);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructEsdResultContraintesAgenceValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
