<?php
/**
 * File for class ChronopostStructOptions
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructOptions originally named options
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructOptions extends ChronopostWsdlClass
{
    /**
     * The aviserSurRealisation
     * @var boolean
     */
    public $aviserSurRealisation;
    /**
     * The chezUnTiers
     * @var boolean
     */
    public $chezUnTiers;
    /**
     * The envoyerLtParMail
     * @var boolean
     */
    public $envoyerLtParMail;
    /**
     * The LTaImprimerParChronopost
     * @var boolean
     */
    public $LTaImprimerParChronopost;
    /**
     * Constructor method for options
     * @see parent::__construct()
     * @param boolean $_aviserSurRealisation
     * @param boolean $_chezUnTiers
     * @param boolean $_envoyerLtParMail
     * @param boolean $_lTaImprimerParChronopost
     * @return ChronopostStructOptions
     */
    public function __construct($_aviserSurRealisation = NULL,$_chezUnTiers = NULL,$_envoyerLtParMail = NULL,$_lTaImprimerParChronopost = NULL)
    {
        parent::__construct(array('aviserSurRealisation'=>$_aviserSurRealisation,'chezUnTiers'=>$_chezUnTiers,'envoyerLtParMail'=>$_envoyerLtParMail,'LTaImprimerParChronopost'=>$_lTaImprimerParChronopost),false);
    }
    /**
     * Get aviserSurRealisation value
     * @return boolean|null
     */
    public function getAviserSurRealisation()
    {
        return $this->aviserSurRealisation;
    }
    /**
     * Set aviserSurRealisation value
     * @param boolean $_aviserSurRealisation the aviserSurRealisation
     * @return boolean
     */
    public function setAviserSurRealisation($_aviserSurRealisation)
    {
        return ($this->aviserSurRealisation = $_aviserSurRealisation);
    }
    /**
     * Get chezUnTiers value
     * @return boolean|null
     */
    public function getChezUnTiers()
    {
        return $this->chezUnTiers;
    }
    /**
     * Set chezUnTiers value
     * @param boolean $_chezUnTiers the chezUnTiers
     * @return boolean
     */
    public function setChezUnTiers($_chezUnTiers)
    {
        return ($this->chezUnTiers = $_chezUnTiers);
    }
    /**
     * Get envoyerLtParMail value
     * @return boolean|null
     */
    public function getEnvoyerLtParMail()
    {
        return $this->envoyerLtParMail;
    }
    /**
     * Set envoyerLtParMail value
     * @param boolean $_envoyerLtParMail the envoyerLtParMail
     * @return boolean
     */
    public function setEnvoyerLtParMail($_envoyerLtParMail)
    {
        return ($this->envoyerLtParMail = $_envoyerLtParMail);
    }
    /**
     * Get LTaImprimerParChronopost value
     * @return boolean|null
     */
    public function getLTaImprimerParChronopost()
    {
        return $this->LTaImprimerParChronopost;
    }
    /**
     * Set LTaImprimerParChronopost value
     * @param boolean $_lTaImprimerParChronopost the LTaImprimerParChronopost
     * @return boolean
     */
    public function setLTaImprimerParChronopost($_lTaImprimerParChronopost)
    {
        return ($this->LTaImprimerParChronopost = $_lTaImprimerParChronopost);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructOptions
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
