<?php
/**
 * File for class ChronopostStructResultShippingInfo
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructResultShippingInfo originally named resultShippingInfo
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructResultShippingInfo extends ChronopostWsdlClass
{
    /**
     * The error
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructError
     */
    public $error;
    /**
     * The shippingInfo
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var ChronopostStructShippingInfo
     */
    public $shippingInfo;
    /**
     * Constructor method for resultShippingInfo
     * @see parent::__construct()
     * @param ChronopostStructError $_error
     * @param ChronopostStructShippingInfo $_shippingInfo
     * @return ChronopostStructResultShippingInfo
     */
    public function __construct($_error = NULL,$_shippingInfo = NULL)
    {
        parent::__construct(array('error'=>$_error,'shippingInfo'=>$_shippingInfo),false);
    }
    /**
     * Get error value
     * @return ChronopostStructError|null
     */
    public function getError()
    {
        return $this->error;
    }
    /**
     * Set error value
     * @param ChronopostStructError $_error the error
     * @return ChronopostStructError
     */
    public function setError($_error)
    {
        return ($this->error = $_error);
    }
    /**
     * Get shippingInfo value
     * @return ChronopostStructShippingInfo|null
     */
    public function getShippingInfo()
    {
        return $this->shippingInfo;
    }
    /**
     * Set shippingInfo value
     * @param ChronopostStructShippingInfo $_shippingInfo the shippingInfo
     * @return ChronopostStructShippingInfo
     */
    public function setShippingInfo($_shippingInfo)
    {
        return ($this->shippingInfo = $_shippingInfo);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructResultShippingInfo
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
