<?php
/**
 * File for class ChronopostStructResultReservationMultiParcelExpeditionValueV2
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructResultReservationMultiParcelExpeditionValueV2 originally named resultReservationMultiParcelExpeditionValueV2
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructResultReservationMultiParcelExpeditionValueV2 extends ChronopostStructResultReservationMultiParcelExpeditionValue
{
    /**
     * The asCode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $asCode;
    /**
     * Constructor method for resultReservationMultiParcelExpeditionValueV2
     * @see parent::__construct()
     * @param string $_asCode
     * @return ChronopostStructResultReservationMultiParcelExpeditionValueV2
     */
    public function __construct($_asCode = NULL)
    {
        ChronopostWsdlClass::__construct(array('asCode'=>$_asCode),false);
    }
    /**
     * Get asCode value
     * @return string|null
     */
    public function getAsCode()
    {
        return $this->asCode;
    }
    /**
     * Set asCode value
     * @param string $_asCode the asCode
     * @return string
     */
    public function setAsCode($_asCode)
    {
        return ($this->asCode = $_asCode);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructResultReservationMultiParcelExpeditionValueV2
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
