<?php
/**
 * File for class ChronopostStructShipperValueV2
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructShipperValueV2 originally named shipperValueV2
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructShipperValueV2 extends ChronopostStructShipperValue
{
    /**
     * The shipperType
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $shipperType;
    /**
     * Constructor method for shipperValueV2
     * @see parent::__construct()
     * @param string $_shipperType
     * @return ChronopostStructShipperValueV2
     */
    public function __construct($_shipperType = NULL)
    {
        ChronopostWsdlClass::__construct(array('shipperType'=>$_shipperType),false);
    }
    /**
     * Get shipperType value
     * @return string|null
     */
    public function getShipperType()
    {
        return $this->shipperType;
    }
    /**
     * Set shipperType value
     * @param string $_shipperType the shipperType
     * @return string
     */
    public function setShipperType($_shipperType)
    {
        return ($this->shipperType = $_shipperType);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructShipperValueV2
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
