<?php
/**
 * File for class ChronopostStructSkybillWithDimensionsValueV4
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructSkybillWithDimensionsValueV4 originally named skybillWithDimensionsValueV4
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructSkybillWithDimensionsValueV4 extends ChronopostStructSkybillWithDimensionsValueV3
{
    /**
     * The skybillNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $skybillNumber;
    /**
     * Constructor method for skybillWithDimensionsValueV4
     * @see parent::__construct()
     * @param string $_skybillNumber
     * @return ChronopostStructSkybillWithDimensionsValueV4
     */
    public function __construct($_skybillNumber = NULL)
    {
        ChronopostWsdlClass::__construct(array('skybillNumber'=>$_skybillNumber),false);
    }
    /**
     * Get skybillNumber value
     * @return string|null
     */
    public function getSkybillNumber()
    {
        return $this->skybillNumber;
    }
    /**
     * Set skybillNumber value
     * @param string $_skybillNumber the skybillNumber
     * @return string
     */
    public function setSkybillNumber($_skybillNumber)
    {
        return ($this->skybillNumber = $_skybillNumber);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructSkybillWithDimensionsValueV4
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
