<?php
/**
 * File for class ChronopostStructAdresseDestinataire
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructAdresseDestinataire originally named adresseDestinataire
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructAdresseDestinataire extends ChronopostWsdlClass
{
    /**
     * The adresse
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $adresse;
    /**
     * The adresseSuite
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $adresseSuite;
    /**
     * The codePays
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePays;
    /**
     * The codePostal
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePostal;
    /**
     * The digicode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $digicode;
    /**
     * The etage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $etage;
    /**
     * The mail
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $mail;
    /**
     * The nom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $nom;
    /**
     * The poids
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $poids;
    /**
     * The prenom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $prenom;
    /**
     * The raisonSociale
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $raisonSociale;
    /**
     * The referenceDestinataire
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $referenceDestinataire;
    /**
     * The telephone
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $telephone;
    /**
     * The ville
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ville;
    /**
     * Constructor method for adresseDestinataire
     * @see parent::__construct()
     * @param string $_adresse
     * @param string $_adresseSuite
     * @param string $_codePays
     * @param string $_codePostal
     * @param string $_digicode
     * @param string $_etage
     * @param string $_mail
     * @param string $_nom
     * @param float $_poids
     * @param string $_prenom
     * @param string $_raisonSociale
     * @param string $_referenceDestinataire
     * @param string $_telephone
     * @param string $_ville
     * @return ChronopostStructAdresseDestinataire
     */
    public function __construct($_adresse = NULL,$_adresseSuite = NULL,$_codePays = NULL,$_codePostal = NULL,$_digicode = NULL,$_etage = NULL,$_mail = NULL,$_nom = NULL,$_poids = NULL,$_prenom = NULL,$_raisonSociale = NULL,$_referenceDestinataire = NULL,$_telephone = NULL,$_ville = NULL)
    {
        parent::__construct(array('adresse'=>$_adresse,'adresseSuite'=>$_adresseSuite,'codePays'=>$_codePays,'codePostal'=>$_codePostal,'digicode'=>$_digicode,'etage'=>$_etage,'mail'=>$_mail,'nom'=>$_nom,'poids'=>$_poids,'prenom'=>$_prenom,'raisonSociale'=>$_raisonSociale,'referenceDestinataire'=>$_referenceDestinataire,'telephone'=>$_telephone,'ville'=>$_ville),false);
    }
    /**
     * Get adresse value
     * @return string|null
     */
    public function getAdresse()
    {
        return $this->adresse;
    }
    /**
     * Set adresse value
     * @param string $_adresse the adresse
     * @return string
     */
    public function setAdresse($_adresse)
    {
        return ($this->adresse = $_adresse);
    }
    /**
     * Get adresseSuite value
     * @return string|null
     */
    public function getAdresseSuite()
    {
        return $this->adresseSuite;
    }
    /**
     * Set adresseSuite value
     * @param string $_adresseSuite the adresseSuite
     * @return string
     */
    public function setAdresseSuite($_adresseSuite)
    {
        return ($this->adresseSuite = $_adresseSuite);
    }
    /**
     * Get codePays value
     * @return string|null
     */
    public function getCodePays()
    {
        return $this->codePays;
    }
    /**
     * Set codePays value
     * @param string $_codePays the codePays
     * @return string
     */
    public function setCodePays($_codePays)
    {
        return ($this->codePays = $_codePays);
    }
    /**
     * Get codePostal value
     * @return string|null
     */
    public function getCodePostal()
    {
        return $this->codePostal;
    }
    /**
     * Set codePostal value
     * @param string $_codePostal the codePostal
     * @return string
     */
    public function setCodePostal($_codePostal)
    {
        return ($this->codePostal = $_codePostal);
    }
    /**
     * Get digicode value
     * @return string|null
     */
    public function getDigicode()
    {
        return $this->digicode;
    }
    /**
     * Set digicode value
     * @param string $_digicode the digicode
     * @return string
     */
    public function setDigicode($_digicode)
    {
        return ($this->digicode = $_digicode);
    }
    /**
     * Get etage value
     * @return string|null
     */
    public function getEtage()
    {
        return $this->etage;
    }
    /**
     * Set etage value
     * @param string $_etage the etage
     * @return string
     */
    public function setEtage($_etage)
    {
        return ($this->etage = $_etage);
    }
    /**
     * Get mail value
     * @return string|null
     */
    public function getMail()
    {
        return $this->mail;
    }
    /**
     * Set mail value
     * @param string $_mail the mail
     * @return string
     */
    public function setMail($_mail)
    {
        return ($this->mail = $_mail);
    }
    /**
     * Get nom value
     * @return string|null
     */
    public function getNom()
    {
        return $this->nom;
    }
    /**
     * Set nom value
     * @param string $_nom the nom
     * @return string
     */
    public function setNom($_nom)
    {
        return ($this->nom = $_nom);
    }
    /**
     * Get poids value
     * @return float|null
     */
    public function getPoids()
    {
        return $this->poids;
    }
    /**
     * Set poids value
     * @param float $_poids the poids
     * @return float
     */
    public function setPoids($_poids)
    {
        return ($this->poids = $_poids);
    }
    /**
     * Get prenom value
     * @return string|null
     */
    public function getPrenom()
    {
        return $this->prenom;
    }
    /**
     * Set prenom value
     * @param string $_prenom the prenom
     * @return string
     */
    public function setPrenom($_prenom)
    {
        return ($this->prenom = $_prenom);
    }
    /**
     * Get raisonSociale value
     * @return string|null
     */
    public function getRaisonSociale()
    {
        return $this->raisonSociale;
    }
    /**
     * Set raisonSociale value
     * @param string $_raisonSociale the raisonSociale
     * @return string
     */
    public function setRaisonSociale($_raisonSociale)
    {
        return ($this->raisonSociale = $_raisonSociale);
    }
    /**
     * Get referenceDestinataire value
     * @return string|null
     */
    public function getReferenceDestinataire()
    {
        return $this->referenceDestinataire;
    }
    /**
     * Set referenceDestinataire value
     * @param string $_referenceDestinataire the referenceDestinataire
     * @return string
     */
    public function setReferenceDestinataire($_referenceDestinataire)
    {
        return ($this->referenceDestinataire = $_referenceDestinataire);
    }
    /**
     * Get telephone value
     * @return string|null
     */
    public function getTelephone()
    {
        return $this->telephone;
    }
    /**
     * Set telephone value
     * @param string $_telephone the telephone
     * @return string
     */
    public function setTelephone($_telephone)
    {
        return ($this->telephone = $_telephone);
    }
    /**
     * Get ville value
     * @return string|null
     */
    public function getVille()
    {
        return $this->ville;
    }
    /**
     * Set ville value
     * @param string $_ville the ville
     * @return string
     */
    public function setVille($_ville)
    {
        return ($this->ville = $_ville);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructAdresseDestinataire
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
