<?php
/**
 * File for class ChronopostStructAdresseEnlevement
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructAdresseEnlevement originally named adresseEnlevement
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructAdresseEnlevement extends ChronopostWsdlClass
{
    /**
     * The codeCivilite
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeCivilite;
    /**
     * The codePays
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePays;
    /**
     * The codePorte
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePorte;
    /**
     * The codePostal
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codePostal;
    /**
     * The lieuDit
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $lieuDit;
    /**
     * The nom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $nom;
    /**
     * The nomPersonneARencontrer
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $nomPersonneARencontrer;
    /**
     * The numeroVoie
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $numeroVoie;
    /**
     * The porteAPorte
     * @var boolean
     */
    public $porteAPorte;
    /**
     * The prenom
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $prenom;
    /**
     * The raisonSociale
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $raisonSociale;
    /**
     * The residenceBatimentEtage
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $residenceBatimentEtage;
    /**
     * The serviceDirection
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $serviceDirection;
    /**
     * The telephone
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $telephone;
    /**
     * The ville
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $ville;
    /**
     * Constructor method for adresseEnlevement
     * @see parent::__construct()
     * @param string $_codeCivilite
     * @param string $_codePays
     * @param string $_codePorte
     * @param string $_codePostal
     * @param string $_lieuDit
     * @param string $_nom
     * @param string $_nomPersonneARencontrer
     * @param string $_numeroVoie
     * @param boolean $_porteAPorte
     * @param string $_prenom
     * @param string $_raisonSociale
     * @param string $_residenceBatimentEtage
     * @param string $_serviceDirection
     * @param string $_telephone
     * @param string $_ville
     * @return ChronopostStructAdresseEnlevement
     */
    public function __construct($_codeCivilite = NULL,$_codePays = NULL,$_codePorte = NULL,$_codePostal = NULL,$_lieuDit = NULL,$_nom = NULL,$_nomPersonneARencontrer = NULL,$_numeroVoie = NULL,$_porteAPorte = NULL,$_prenom = NULL,$_raisonSociale = NULL,$_residenceBatimentEtage = NULL,$_serviceDirection = NULL,$_telephone = NULL,$_ville = NULL)
    {
        parent::__construct(array('codeCivilite'=>$_codeCivilite,'codePays'=>$_codePays,'codePorte'=>$_codePorte,'codePostal'=>$_codePostal,'lieuDit'=>$_lieuDit,'nom'=>$_nom,'nomPersonneARencontrer'=>$_nomPersonneARencontrer,'numeroVoie'=>$_numeroVoie,'porteAPorte'=>$_porteAPorte,'prenom'=>$_prenom,'raisonSociale'=>$_raisonSociale,'residenceBatimentEtage'=>$_residenceBatimentEtage,'serviceDirection'=>$_serviceDirection,'telephone'=>$_telephone,'ville'=>$_ville),false);
    }
    /**
     * Get codeCivilite value
     * @return string|null
     */
    public function getCodeCivilite()
    {
        return $this->codeCivilite;
    }
    /**
     * Set codeCivilite value
     * @param string $_codeCivilite the codeCivilite
     * @return string
     */
    public function setCodeCivilite($_codeCivilite)
    {
        return ($this->codeCivilite = $_codeCivilite);
    }
    /**
     * Get codePays value
     * @return string|null
     */
    public function getCodePays()
    {
        return $this->codePays;
    }
    /**
     * Set codePays value
     * @param string $_codePays the codePays
     * @return string
     */
    public function setCodePays($_codePays)
    {
        return ($this->codePays = $_codePays);
    }
    /**
     * Get codePorte value
     * @return string|null
     */
    public function getCodePorte()
    {
        return $this->codePorte;
    }
    /**
     * Set codePorte value
     * @param string $_codePorte the codePorte
     * @return string
     */
    public function setCodePorte($_codePorte)
    {
        return ($this->codePorte = $_codePorte);
    }
    /**
     * Get codePostal value
     * @return string|null
     */
    public function getCodePostal()
    {
        return $this->codePostal;
    }
    /**
     * Set codePostal value
     * @param string $_codePostal the codePostal
     * @return string
     */
    public function setCodePostal($_codePostal)
    {
        return ($this->codePostal = $_codePostal);
    }
    /**
     * Get lieuDit value
     * @return string|null
     */
    public function getLieuDit()
    {
        return $this->lieuDit;
    }
    /**
     * Set lieuDit value
     * @param string $_lieuDit the lieuDit
     * @return string
     */
    public function setLieuDit($_lieuDit)
    {
        return ($this->lieuDit = $_lieuDit);
    }
    /**
     * Get nom value
     * @return string|null
     */
    public function getNom()
    {
        return $this->nom;
    }
    /**
     * Set nom value
     * @param string $_nom the nom
     * @return string
     */
    public function setNom($_nom)
    {
        return ($this->nom = $_nom);
    }
    /**
     * Get nomPersonneARencontrer value
     * @return string|null
     */
    public function getNomPersonneARencontrer()
    {
        return $this->nomPersonneARencontrer;
    }
    /**
     * Set nomPersonneARencontrer value
     * @param string $_nomPersonneARencontrer the nomPersonneARencontrer
     * @return string
     */
    public function setNomPersonneARencontrer($_nomPersonneARencontrer)
    {
        return ($this->nomPersonneARencontrer = $_nomPersonneARencontrer);
    }
    /**
     * Get numeroVoie value
     * @return string|null
     */
    public function getNumeroVoie()
    {
        return $this->numeroVoie;
    }
    /**
     * Set numeroVoie value
     * @param string $_numeroVoie the numeroVoie
     * @return string
     */
    public function setNumeroVoie($_numeroVoie)
    {
        return ($this->numeroVoie = $_numeroVoie);
    }
    /**
     * Get porteAPorte value
     * @return boolean|null
     */
    public function getPorteAPorte()
    {
        return $this->porteAPorte;
    }
    /**
     * Set porteAPorte value
     * @param boolean $_porteAPorte the porteAPorte
     * @return boolean
     */
    public function setPorteAPorte($_porteAPorte)
    {
        return ($this->porteAPorte = $_porteAPorte);
    }
    /**
     * Get prenom value
     * @return string|null
     */
    public function getPrenom()
    {
        return $this->prenom;
    }
    /**
     * Set prenom value
     * @param string $_prenom the prenom
     * @return string
     */
    public function setPrenom($_prenom)
    {
        return ($this->prenom = $_prenom);
    }
    /**
     * Get raisonSociale value
     * @return string|null
     */
    public function getRaisonSociale()
    {
        return $this->raisonSociale;
    }
    /**
     * Set raisonSociale value
     * @param string $_raisonSociale the raisonSociale
     * @return string
     */
    public function setRaisonSociale($_raisonSociale)
    {
        return ($this->raisonSociale = $_raisonSociale);
    }
    /**
     * Get residenceBatimentEtage value
     * @return string|null
     */
    public function getResidenceBatimentEtage()
    {
        return $this->residenceBatimentEtage;
    }
    /**
     * Set residenceBatimentEtage value
     * @param string $_residenceBatimentEtage the residenceBatimentEtage
     * @return string
     */
    public function setResidenceBatimentEtage($_residenceBatimentEtage)
    {
        return ($this->residenceBatimentEtage = $_residenceBatimentEtage);
    }
    /**
     * Get serviceDirection value
     * @return string|null
     */
    public function getServiceDirection()
    {
        return $this->serviceDirection;
    }
    /**
     * Set serviceDirection value
     * @param string $_serviceDirection the serviceDirection
     * @return string
     */
    public function setServiceDirection($_serviceDirection)
    {
        return ($this->serviceDirection = $_serviceDirection);
    }
    /**
     * Get telephone value
     * @return string|null
     */
    public function getTelephone()
    {
        return $this->telephone;
    }
    /**
     * Set telephone value
     * @param string $_telephone the telephone
     * @return string
     */
    public function setTelephone($_telephone)
    {
        return ($this->telephone = $_telephone);
    }
    /**
     * Get ville value
     * @return string|null
     */
    public function getVille()
    {
        return $this->ville;
    }
    /**
     * Set ville value
     * @param string $_ville the ville
     * @return string
     */
    public function setVille($_ville)
    {
        return ($this->ville = $_ville);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructAdresseEnlevement
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
