<?php
/**
 * File for class ChronopostStructAdresseEnlevementV2
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructAdresseEnlevementV2 originally named adresseEnlevementV2
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructAdresseEnlevementV2 extends ChronopostStructAdresseEnlevement
{
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $email;
    /**
     * Constructor method for adresseEnlevementV2
     * @see parent::__construct()
     * @param string $_email
     * @return ChronopostStructAdresseEnlevementV2
     */
    public function __construct($_email = NULL)
    {
        ChronopostWsdlClass::__construct(array('email'=>$_email),false);
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $_email the email
     * @return string
     */
    public function setEmail($_email)
    {
        return ($this->email = $_email);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructAdresseEnlevementV2
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
