<?php
/**
 * File for class ChronopostStructEsdValue3
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructEsdValue3 originally named esdValue3
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructEsdValue3 extends ChronopostStructEsdWithRefClientValue
{
    /**
     * The codeDepotColReq
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $codeDepotColReq;
    /**
     * The numColReq
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $numColReq;
    /**
     * Constructor method for esdValue3
     * @see parent::__construct()
     * @param string $_codeDepotColReq
     * @param string $_numColReq
     * @return ChronopostStructEsdValue3
     */
    public function __construct($_codeDepotColReq = NULL,$_numColReq = NULL)
    {
        ChronopostWsdlClass::__construct(array('codeDepotColReq'=>$_codeDepotColReq,'numColReq'=>$_numColReq),false);
    }
    /**
     * Get codeDepotColReq value
     * @return string|null
     */
    public function getCodeDepotColReq()
    {
        return $this->codeDepotColReq;
    }
    /**
     * Set codeDepotColReq value
     * @param string $_codeDepotColReq the codeDepotColReq
     * @return string
     */
    public function setCodeDepotColReq($_codeDepotColReq)
    {
        return ($this->codeDepotColReq = $_codeDepotColReq);
    }
    /**
     * Get numColReq value
     * @return string|null
     */
    public function getNumColReq()
    {
        return $this->numColReq;
    }
    /**
     * Set numColReq value
     * @param string $_numColReq the numColReq
     * @return string
     */
    public function setNumColReq($_numColReq)
    {
        return ($this->numColReq = $_numColReq);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructEsdValue3
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
