<?php
/**
 * File for class ChronopostServiceFaisabilite
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostServiceFaisabilite originally named Faisabilite
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostServiceFaisabilite extends ChronopostWsdlClass
{
    /**
     * Method to call the operation originally named faisabiliteESD
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructFaisabiliteESD $_chronopostStructFaisabiliteESD
     * @return ChronopostStructFaisabiliteESDResponse
     */
    public function faisabiliteESD(ChronopostStructFaisabiliteESD $_chronopostStructFaisabiliteESD)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->faisabiliteESD($_chronopostStructFaisabiliteESD));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see ChronopostWsdlClass::getResult()
     * @return ChronopostStructFaisabiliteESDResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
