<?php
/**
 * File for class ChronopostServiceRechercher
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostServiceRechercher originally named Rechercher
 * @package Chronopost
 * @subpackage Services
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostServiceRechercher extends ChronopostWsdlClass
{
    /**
     * Method to call the operation originally named rechercherContraintesEnlevement
     * @uses ChronopostWsdlClass::getSoapClient()
     * @uses ChronopostWsdlClass::setResult()
     * @uses ChronopostWsdlClass::saveLastError()
     * @param ChronopostStructRechercherContraintesEnlevement $_chronopostStructRechercherContraintesEnlevement
     * @return ChronopostStructRechercherContraintesEnlevementResponse
     */
    public function rechercherContraintesEnlevement(ChronopostStructRechercherContraintesEnlevement $_chronopostStructRechercherContraintesEnlevement)
    {
        try
        {
            return $this->setResult(self::getSoapClient()->rechercherContraintesEnlevement($_chronopostStructRechercherContraintesEnlevement));
        }
        catch(SoapFault $soapFault)
        {
            return !$this->saveLastError(__METHOD__,$soapFault);
        }
    }
    /**
     * Returns the result
     * @see ChronopostWsdlClass::getResult()
     * @return ChronopostStructRechercherContraintesEnlevementResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
