<?php
/**
 * File for class ChronopostStructRecipientLocalValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructRecipientLocalValue originally named recipientLocalValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructRecipientLocalValue extends ChronopostStructRecipientValue
{
    /**
     * The identityCardNumber
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $identityCardNumber;
    /**
     * The language
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $language;
    /**
     * The province
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $province;
    /**
     * Constructor method for recipientLocalValue
     * @see parent::__construct()
     * @param string $_identityCardNumber
     * @param string $_language
     * @param string $_province
     * @return ChronopostStructRecipientLocalValue
     */
    public function __construct($_identityCardNumber = NULL,$_language = NULL,$_province = NULL)
    {
        ChronopostWsdlClass::__construct(array('identityCardNumber'=>$_identityCardNumber,'language'=>$_language,'province'=>$_province),false);
    }
    /**
     * Get identityCardNumber value
     * @return string|null
     */
    public function getIdentityCardNumber()
    {
        return $this->identityCardNumber;
    }
    /**
     * Set identityCardNumber value
     * @param string $_identityCardNumber the identityCardNumber
     * @return string
     */
    public function setIdentityCardNumber($_identityCardNumber)
    {
        return ($this->identityCardNumber = $_identityCardNumber);
    }
    /**
     * Get language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->language;
    }
    /**
     * Set language value
     * @param string $_language the language
     * @return string
     */
    public function setLanguage($_language)
    {
        return ($this->language = $_language);
    }
    /**
     * Get province value
     * @return string|null
     */
    public function getProvince()
    {
        return $this->province;
    }
    /**
     * Set province value
     * @param string $_province the province
     * @return string
     */
    public function setProvince($_province)
    {
        return ($this->province = $_province);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructRecipientLocalValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
