<?php
/**
 * File for class ChronopostStructResultMonoParcelExpeditionValue
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructResultMonoParcelExpeditionValue originally named resultMonoParcelExpeditionValue
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructResultMonoParcelExpeditionValue extends ChronopostStructResultExpeditionValueV3
{
    /**
     * The pdfEtiquette
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var base64Binary
     */
    public $pdfEtiquette;
    /**
     * Constructor method for resultMonoParcelExpeditionValue
     * @see parent::__construct()
     * @param base64Binary $_pdfEtiquette
     * @return ChronopostStructResultMonoParcelExpeditionValue
     */
    public function __construct($_pdfEtiquette = NULL)
    {
        ChronopostWsdlClass::__construct(array('pdfEtiquette'=>$_pdfEtiquette),false);
    }
    /**
     * Get pdfEtiquette value
     * @return base64Binary|null
     */
    public function getPdfEtiquette()
    {
        return $this->pdfEtiquette;
    }
    /**
     * Set pdfEtiquette value
     * @param base64Binary $_pdfEtiquette the pdfEtiquette
     * @return base64Binary
     */
    public function setPdfEtiquette($_pdfEtiquette)
    {
        return ($this->pdfEtiquette = $_pdfEtiquette);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructResultMonoParcelExpeditionValue
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
