<?php
/**
 * File for class ChronopostStructSkybillValueBase
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructSkybillValueBase originally named skybillValueBase
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructSkybillValueBase extends ChronopostWsdlClass
{
    /**
     * The as
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $as;
    /**
     * The objectType
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $objectType;
    /**
     * The productCode
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $productCode;
    /**
     * The service
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $service;
    /**
     * The shipDate
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var dateTime
     */
    public $shipDate;
    /**
     * The weight
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var float
     */
    public $weight;
    /**
     * Constructor method for skybillValueBase
     * @see parent::__construct()
     * @param string $_as
     * @param string $_objectType
     * @param string $_productCode
     * @param string $_service
     * @param dateTime $_shipDate
     * @param float $_weight
     * @return ChronopostStructSkybillValueBase
     */
    public function __construct($_as = NULL,$_objectType = NULL,$_productCode = NULL,$_service = NULL,$_shipDate = NULL,$_weight = NULL)
    {
        parent::__construct(array('as'=>$_as,'objectType'=>$_objectType,'productCode'=>$_productCode,'service'=>$_service,'shipDate'=>$_shipDate,'weight'=>$_weight),false);
    }
    /**
     * Get as value
     * @return string|null
     */
    public function getAs()
    {
        return $this->as;
    }
    /**
     * Set as value
     * @param string $_as the as
     * @return string
     */
    public function setAs($_as)
    {
        return ($this->as = $_as);
    }
    /**
     * Get objectType value
     * @return string|null
     */
    public function getObjectType()
    {
        return $this->objectType;
    }
    /**
     * Set objectType value
     * @param string $_objectType the objectType
     * @return string
     */
    public function setObjectType($_objectType)
    {
        return ($this->objectType = $_objectType);
    }
    /**
     * Get productCode value
     * @return string|null
     */
    public function getProductCode()
    {
        return $this->productCode;
    }
    /**
     * Set productCode value
     * @param string $_productCode the productCode
     * @return string
     */
    public function setProductCode($_productCode)
    {
        return ($this->productCode = $_productCode);
    }
    /**
     * Get service value
     * @return string|null
     */
    public function getService()
    {
        return $this->service;
    }
    /**
     * Set service value
     * @param string $_service the service
     * @return string
     */
    public function setService($_service)
    {
        return ($this->service = $_service);
    }
    /**
     * Get shipDate value
     * @return dateTime|null
     */
    public function getShipDate()
    {
        return $this->shipDate;
    }
    /**
     * Set shipDate value
     * @param dateTime $_shipDate the shipDate
     * @return dateTime
     */
    public function setShipDate($_shipDate)
    {
        return ($this->shipDate = $_shipDate);
    }
    /**
     * Get weight value
     * @return float|null
     */
    public function getWeight()
    {
        return $this->weight;
    }
    /**
     * Set weight value
     * @param float $_weight the weight
     * @return float
     */
    public function setWeight($_weight)
    {
        return ($this->weight = $_weight);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructSkybillValueBase
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
