<?php
/**
 * File for class ChronopostStructSkybillWithDimensionsValueV3
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
/**
 * This class stands for ChronopostStructSkybillWithDimensionsValueV3 originally named skybillWithDimensionsValueV3
 * Meta informations extracted from the WSDL
 * - from schema : {@link https://ws.chronopost.fr/shipping-cxf/ShippingServiceWS?wsdl}
 * @package Chronopost
 * @subpackage Structs
 * @author WsdlToPhp Team <contact@wsdltophp.com>
 * @version 20150429-01
 * @date 2018-04-18
 */
class ChronopostStructSkybillWithDimensionsValueV3 extends ChronopostStructSkybillWithDimensionsValueV2
{
    /**
     * The subAccount
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $subAccount;
    /**
     * The toTheOrderOf
     * Meta informations extracted from the WSDL
     * - minOccurs : 0
     * @var string
     */
    public $toTheOrderOf;
    /**
     * Constructor method for skybillWithDimensionsValueV3
     * @see parent::__construct()
     * @param string $_subAccount
     * @param string $_toTheOrderOf
     * @return ChronopostStructSkybillWithDimensionsValueV3
     */
    public function __construct($_subAccount = NULL,$_toTheOrderOf = NULL)
    {
        ChronopostWsdlClass::__construct(array('subAccount'=>$_subAccount,'toTheOrderOf'=>$_toTheOrderOf),false);
    }
    /**
     * Get subAccount value
     * @return string|null
     */
    public function getSubAccount()
    {
        return $this->subAccount;
    }
    /**
     * Set subAccount value
     * @param string $_subAccount the subAccount
     * @return string
     */
    public function setSubAccount($_subAccount)
    {
        return ($this->subAccount = $_subAccount);
    }
    /**
     * Get toTheOrderOf value
     * @return string|null
     */
    public function getToTheOrderOf()
    {
        return $this->toTheOrderOf;
    }
    /**
     * Set toTheOrderOf value
     * @param string $_toTheOrderOf the toTheOrderOf
     * @return string
     */
    public function setToTheOrderOf($_toTheOrderOf)
    {
        return ($this->toTheOrderOf = $_toTheOrderOf);
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see ChronopostWsdlClass::__set_state()
     * @uses ChronopostWsdlClass::__set_state()
     * @param array $_array the exported values
     * @return ChronopostStructSkybillWithDimensionsValueV3
     */
    public static function __set_state(array $_array,$_className = __CLASS__)
    {
        return parent::__set_state($_array,$_className);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
